---
title: text-indent
slug: Web/CSS/text-indent
tags:
  - CSS
  - CSS Property
  - CSS Text
  - Indent
  - Layout
  - Reference
  - 'recipe:css-property'
  - text-indent
---
<div>{{CSSRef}}</div>

<p>The <strong><code>text-indent</code></strong> CSS property sets the length of empty space (indentation) that is put before lines of text in a block.</p>

<div>{{EmbedInteractiveExample("pages/css/text-indent.html")}}</div>

<p>Horizontal spacing is with respect to the left (or right, for right-to-left layout) edge of the containing block-level element's content box.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* &lt;length&gt; values */
text-indent: 3mm;
text-indent: 40px;

/* &lt;percentage&gt; value
   relative to the containing block width */
text-indent: 15%;

/* Keyword values */
text-indent: 5em each-line;
text-indent: 5em hanging;
text-indent: 5em hanging each-line;

/* Global values */
text-indent: inherit;
text-indent: initial;
text-indent: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;length&gt;")}}</dt>
 <dd>Indentation is specified as an absolute {{cssxref("&lt;length&gt;")}}. Negative values are allowed. See {{cssxref("&lt;length&gt;")}} values for possible units.</dd>
 <dt>{{cssxref("&lt;percentage&gt;")}}</dt>
 <dd>Indentation is a {{cssxref("&lt;percentage&gt;")}} of the containing block's width.</dd>
 <dt><code>each-line</code> {{experimental_inline}}</dt>
 <dd>Indentation affects the first line of the block container as well as each line after a <em>forced line break</em>, but does not affect lines after a <em>soft wrap break</em>.</dd>
 <dt><code>hanging</code> {{experimental_inline}}</dt>
 <dd>Inverts which lines are indented. All lines <em>except</em> the first line will be indented.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Simple_indent">Simple indent</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy
    nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.&lt;/p&gt;
&lt;p&gt;Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy
    nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.&lt;/p&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  text-indent: 5em;
  background: powderblue;
}</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Simple_indent','100%','100%') }}</p>

<h3 id="Percentage_indent">Percentage indent</h3>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy
    nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.&lt;/p&gt;
&lt;p&gt;Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy
    nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.&lt;/p&gt;</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css notranslate">p {
  text-indent: 30%;
  background: plum;
}</pre>

<h4 id="Result_2">Result</h4>

<p>{{ EmbedLiveSample('Percentage_indent','100%','100%') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Text', '#text-indent-property', 'text-indent')}}</td>
   <td>{{Spec2('CSS3 Text')}}</td>
   <td>Adds the <code>hanging</code> and <code>each-line</code> keywords.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'text.html#indentation-prop', 'text-indent')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>The behavior with <code>display: inline-block</code> and anonymous block boxes is explicitly defined.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#text-indent', 'text-indent')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.text-indent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/CSS">Learn to style HTML using CSS</a></li>
 <li>Related CSS properties:
  <ul>
   <li><code><a href="/en-US/docs/Web/CSS/text-justify">text-justify</a></code></li>
   <li><code><a href="/en-US/docs/Web/CSS/text-orientation">text-orientation</a></code></li>
   <li><code><a href="/en-US/docs/Web/CSS/text-overflow">text-overflow</a></code></li>
   <li><code><a href="/en-US/docs/Web/SVG/Attribute/text-rendering">text-rendering</a></code></li>
   <li><code><a href="/en-US/docs/Web/CSS/text-transform">text-transform</a></code></li>
  </ul>
 </li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Text_Decoration">CSS Text Decoration</a> CSS module</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Text">CSS Text module</a></li>
</ul>
